summaryrefslogtreecommitdiffstats
path: root/os-plugins
diff options
context:
space:
mode:
Diffstat (limited to 'os-plugins')
-rw-r--r--os-plugins/plugins/Example/OpenSLX/OSPlugin/Example.pm4
-rw-r--r--os-plugins/plugins/Example/XX_Example.sh9
2 files changed, 9 insertions, 4 deletions
diff --git a/os-plugins/plugins/Example/OpenSLX/OSPlugin/Example.pm b/os-plugins/plugins/Example/OpenSLX/OSPlugin/Example.pm
index bd90d306..9ade866a 100644
--- a/os-plugins/plugins/Example/OpenSLX/OSPlugin/Example.pm
+++ b/os-plugins/plugins/Example/OpenSLX/OSPlugin/Example.pm
@@ -84,8 +84,8 @@ sub installationPhase
# the temporary folder, this time from inside the chroot
# for this example plugin, we simply create two files:
- spitFile("$pluginRepositoryPath/left", "(-;\n");
- spitFile("$pluginRepositoryPath/right", ";-)\n");
+ spitFile("$pluginRepositoryPath/right", "(-;\n");
+ spitFile("$pluginRepositoryPath/left", ";-)\n");
}
sub postInstallationPhase
diff --git a/os-plugins/plugins/Example/XX_Example.sh b/os-plugins/plugins/Example/XX_Example.sh
index 88c991e8..6c1bc8ad 100644
--- a/os-plugins/plugins/Example/XX_Example.sh
+++ b/os-plugins/plugins/Example/XX_Example.sh
@@ -28,11 +28,16 @@ if ! [ -e /initramfs/plugin-conf/Example.conf ]; then
exit 1
fi
-echo "executing the 'Example' os-plugin ...";
# for this example plugin, we simply take a filename from the configuration ...
. /initramfs/plugin-conf/Example.conf
-# ... and cat that file:
+if ! [ -n $active]; then
+ exit 0
+fi
+
+echo "executing the 'Example' os-plugin ...";
+
+# ... and cat that file (output the smiley):
cat /mnt/opt/openslx/plugin-repo/Example/$preferred_side
echo "done with 'Example' os-plugin ...";